<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::SimpleSpline Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#19945294aede4d865da85ccbe095ad33">addPoint</a>(const Vector3 &amp;p)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#d9b46f66661afbebf4cf1c45182e0484">clear</a>(void)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#7cc4a623dc37c403b68d79eab09adf46">getNumPoints</a>(void) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#295cb351867d81989ba41161d87a1258">getPoint</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#dc9fdf938421d0893ef5ce114b177127">interpolate</a>(Real t)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#d38e98ec3f724aa8460a36400657ce40">interpolate</a>(unsigned int fromIndex, Real t)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#f6c6e592a24de4a8ba44077eb00cce02">mAutoCalc</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#1f4270a81d2a5f8580b8e5652407998e">mCoeffs</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#d0c22b9635ac5eff5db16b7ae52ab301">mPoints</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#47ad8348af9291f72fbc257e32799991">mTangents</a></td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#2c8896ea995986b58328763e58acbcb0">recalcTangents</a>(void)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#c8a0d23480006745e3a58ecec33f6bc2">setAutoCalculate</a>(bool autoCalc)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#647c5b1ef7ab486fc8646fa6a151bab6">SimpleSpline</a>()</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#5c757c1a320a61e224753b72c5e65048">updatePoint</a>(unsigned short index, const Vector3 &amp;value)</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SimpleSpline.html#ef641d97c1f208faf7bcf46584706fd8">~SimpleSpline</a>()</td><td><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:47 2008
</p>
</body>
</html>
